numOfPlayers = 6;
height = 3;
$fn = 128;

s = 65;
frac = 360/numOfPlayers;

difference() {
    cylinder(r=50, h=height);
    
    translate([-5.5, 0, -1])
    cube([11, 3, height+2]);
    
    translate([12, 0.5, -1])
    cylinder(d=3, h=height+2);

    translate([-12, 0.5, -1])
    cylinder(d=3, h=height+2);
    
    translate([-12, -23.5, -1])
    cylinder(d=3, h=height+2);
    
    translate([12, -23.5, -1])
    cylinder(d=3, h=height+2);
}
for (i = [1 : numOfPlayers]) {
    rotate([0, 0, frac * i])
    translate([s, 0, 0])
    difference() {
        cylinder(r=35, h=height);
    
        // hole for buttons
        translate([20, 0, -1])
        cylinder(d=12, h=height+2);
        
        // hole for LEDS
        translate([0, 0, -1])
        cylinder(d=12, h=height+2);
    }
}

difference() {
    translate([0,0,-10])
    union() {
        cylinder(r=65, h=10);
        for (i = [1 : numOfPlayers]) {
            rotate([0, 0, frac * i])
            translate([s, 0, 0])
            difference() {
                cylinder(r=33, h=10);
            }
        }
    }
    
    translate([0,0,-11])
    union() {
        cylinder(r=63, h=12);
        for (i = [1 : numOfPlayers]) {
            rotate([0, 0, frac * i])
            translate([s, 0, 0])
            difference() {
                cylinder(r=31, h=12);
            }
        }
    }
}