module tp4056Holder() {
    translate([2, -3, 2])
    difference() {
        // frame
        union() {
            cube([32, 6, 14.5]);
            translate([1.5, -3, 0])
            cube([8.5, 3, 14.5]);
        }
        
        // micro-usb
        translate([0, -0.5, 4])
        cube([7, 5, 12]);
        
        // micro-usb bottom
        translate([-0.5, 3, 0])
        cube([7.5, 1.5, 5]);
        
        // center
        translate([7, 1.8, 0])
        cube([22, 2.7, 15]);

        // back-part
        translate([29, 1.5, 2])
        cube([10, 3, 15]);
        
        translate([25.25, 1.5, 0])
        cube([3.75, 3, 14.5]);

        // space for contacts
        translate([30.25, 2, 8])
        rotate([90, 0, 0])
        cylinder(h=4, d=12, $fn=5);
    }
    
    // top-block
    translate([31, -3, 16.5])
    difference() {
        cube([3, 6, 2.5]);
        translate([1, 3, 0])
        scale([2, 1.85, 0.8])
        rotate([0, -90, 0])
        sphere(r=2, $fn=3);
    }
}

tp4056Holder();